#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	PerlIO
%define		pnam	gzip
Summary:	PerlIO::gzip - Perl extension to provide a PerlIO layer to gzip/gunzip
Summary(pl.UTF-8):	PerlIO::gzip - rozszerzenie perla dostarczające warstwę PerlIO do operacji gzip/gunzip
Name:		perl-PerlIO-gzip
Version:	0.18
Release:	19
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/N/NW/NWCLARK/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	933fdf283a0d2739f7630420569e3b24
Patch0:		config_usesfio.patch
URL:		http://search.cpan.org/dist/PerlIO-gzip/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PerlIO::gzip provides a PerlIO layer that manipulates files in the
format used by the gzip program. Compression and Decompression are
implemented, but not together. If you attempt to open a file for
reading and writing the open will fail.

%description -l pl.UTF-8
PerlIO::gzip dostarcza wartstwę PerlIO, która potrafi operować na
plikach w formatach używanych przez program gzip.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/PerlIO/*.pm
%dir %{perl_vendorarch}/auto/PerlIO/gzip
%attr(755,root,root) %{perl_vendorarch}/auto/PerlIO/gzip/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PerlIO-gzip.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> fbafde1
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 7ffa53b
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 5643fca
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 7c1153e
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 4bc8a45
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a37695b
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 968157a
- rebuild with perl 5.30.0
- release 14 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 2284d4c
- rebuild with perl 5.28.0
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2d21f68
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d1c46eb
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 20b305c
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a14504b
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 120d9be
- x32 rebuild
- release 8 (by relup.sh)

* Wed Sep 17 2014 Jan Rękorajski <baggins@pld-linux.org> 28cdde8
- rel 7

* Wed Sep 17 2014 Jan Rękorajski <baggins@pld-linux.org> 7ad81f1
- fix building with perl 5.20

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 18b2b54
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 0721c1d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9f9ac1c
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9636243
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Tue Dec 28 2010 Elan Ruusamäe <glen@pld-linux.org> 4224bca
- release 3

